Subject: Re: 25.0.93; dired-do-find-regexp does not work on Windows even after installing GNU find and grep

From: Eli Zaretskii <[email-masked]>
Date: Thu, 05 May 2016 05:37:46 +0300

> From: Kaushal Modi <[email-masked]>
> Date: Wed, 04 May 2016 19:56:02 +0000
> Cc: [email-masked], [email-masked]
> 
>  You need to change the system Path, not the user Path.
> 
>  Alternatively, rename the MS find.exe to something else.
> 
> I do not have admin access (work computer). Wouldn't (setenv "PATH" "..") be the same?

No.

> If I rename the MS find.exe (which I cannot without admin aceess), will it not affect any other program using it?

Nothing uses it.

> As I mentioned, I also set the PATH using (setenv "PATH "..."). Isn't executable-find returning the correct
> find.exe and grep.exe a proof that the right executable is being found.

No.  See the source of executable-find.

> I have had this in my config and it works fine (for a different executable chrome.exe):
> 
> (let ((chrome-path "C:/Program Files (x86)/Google/Chrome/Application/"))
> (setq exec-path (append exec-path `(,chrome-path)))
> (setq browse-url-generic-program (executable-find "chrome")))

Bad idea, as I explained in my earlier message.  You need to change
PATH _outside_ of Emacs.